Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.base
Class JRBaseLinePlot

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseChartPlot
          net.sf.jasperreports.charts.base.JRBaseLinePlot

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCategoryAxisFormat, JRLinePlot, JRValueAxisFormat, JRChangeEventsSupport, JRChartPlot, JRCloneable

Direct Known Subclasses:
  JRDesignLinePlot

    public class JRBaseLinePlot

extends JRBaseChartPlot
implements JRLinePlot

Version:
  $Id: JRBaseLinePlot.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Flavius Sana (flavius_sana@users.sourceforge.net)
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot
`JRBaseChartPlot.JRBaseSeriesColor`

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Field Summary
`protected java.awt.Color` | `categoryAxisLabelColor`
`protected JRExpression` | `categoryAxisLabelExpression`
`protected JRFont` | `categoryAxisLabelFont`
`protected java.awt.Color` | `categoryAxisLineColor`
`protected java.awt.Color` | `categoryAxisTickLabelColor`
`protected JRFont` | `categoryAxisTickLabelFont`
`protected java.lang.String` | `categoryAxisTickLabelMask`
`protected java.lang.Boolean` | `categoryAxisVerticalTickLabels`
`protected JRExpression` | `domainAxisMaxValueExpression`
`protected JRExpression` | `domainAxisMinValueExpression`
`static java.lang.String` | `PROPERTY_SHOW_LINES`
`static java.lang.String` | `PROPERTY_SHOW_SHAPES`
`protected JRExpression` | `rangeAxisMaxValueExpression`
`protected JRExpression` | `rangeAxisMinValueExpression`
`protected java.awt.Color` | `valueAxisLabelColor`
`protected JRExpression` | `valueAxisLabelExpression`
`protected JRFont` | `valueAxisLabelFont`
`protected java.awt.Color` | `valueAxisLineColor`
`protected java.awt.Color` | `valueAxisTickLabelColor`
`protected JRFont` | `valueAxisTickLabelFont`
`protected java.lang.String` | `valueAxisTickLabelMask`
`protected java.lang.Boolean` | `valueAxisVerticalTickLabels`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot
`backcolor, backgroundAlphaFloat, chart, foregroundAlphaFloat, labelRotationDouble, orientation, PROPERTY_BACKCOLOR, PROPERTY_BACKGROUND_ALPHA, PROPERTY_FOREGROUND_ALPHA, PROPERTY_LABEL_ROTATION, PROPERTY_ORIENTATION, PROPERTY_SERIES_COLORS, seriesColors`

Fields inherited from interface net.sf.jasperreports.charts.JRCategoryAxisFormat
`PROPERTY_CATEGORY_AXIS_TICK_LABEL_ROTATION`

Constructor Summary
`JRBaseLinePlot(JRChartPlot plot, JRChart chart)`
`JRBaseLinePlot(JRLinePlot linePlot, JRBaseObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone(JRChart parentChart)`
`void` | `collectExpressions(JRExpressionCollector collector)`
`java.awt.Color` | `getCategoryAxisLabelColor()`
`JRExpression` | `getCategoryAxisLabelExpression()`
`JRFont` | `getCategoryAxisLabelFont()`
`java.awt.Color` | `getCategoryAxisLineColor()`
`java.awt.Color` | `getCategoryAxisTickLabelColor()`
`JRFont` | `getCategoryAxisTickLabelFont()`
`java.lang.String` | `getCategoryAxisTickLabelMask()`
`java.lang.Double` | `getCategoryAxisTickLabelRotation()`
`java.lang.Boolean` | `getCategoryAxisVerticalTickLabels()`
`JRExpression` | `getDomainAxisMaxValueExpression()`
`JRExpression` | `getDomainAxisMinValueExpression()`
`java.awt.Color` | `getOwnCategoryAxisLabelColor()`
`java.awt.Color` | `getOwnCategoryAxisLineColor()`
`java.awt.Color` | `getOwnCategoryAxisTickLabelColor()`
`java.awt.Color` | `getOwnValueAxisLabelColor()`
`java.awt.Color` | `getOwnValueAxisLineColor()`
`java.awt.Color` | `getOwnValueAxisTickLabelColor()`
`JRExpression` | `getRangeAxisMaxValueExpression()`
`JRExpression` | `getRangeAxisMinValueExpression()`
`java.lang.Boolean` | `getShowLines()`
`java.lang.Boolean` | `getShowShapes()`
`java.awt.Color` | `getValueAxisLabelColor()`
`JRExpression` | `getValueAxisLabelExpression()`
`JRFont` | `getValueAxisLabelFont()`
`java.awt.Color` | `getValueAxisLineColor()`
`java.awt.Color` | `getValueAxisTickLabelColor()`
`JRFont` | `getValueAxisTickLabelFont()`
`java.lang.String` | `getValueAxisTickLabelMask()`
`java.lang.Boolean` | `getValueAxisVerticalTickLabels()`
`boolean` | `isShowLines()` Deprecated. Replaced by `getShowLines()`
`boolean` | `isShowShapes()` Deprecated. Replaced by `getShowShapes()`
`void` | `setCategoryAxisTickLabelRotation(java.lang.Double labelRotationDouble)`
`void` | `setShowLines(boolean value)` Deprecated. Replaced by `setShowLines(Boolean)`
`void` | `setShowLines(java.lang.Boolean value)`
`void` | `setShowShapes(boolean value)` Deprecated. Replaced by `setShowShapes(Boolean)`
`void` | `setShowShapes(java.lang.Boolean value)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot
`addSeriesColor, clearSeriesColors, clone, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getEventSupport, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot
`addSeriesColor, clearSeriesColors, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### PROPERTY_SHOW_LINES

    public static final java.lang.String PROPERTY_SHOW_LINES

See Also:
  Constant Field Values

### PROPERTY_SHOW_SHAPES

    public static final java.lang.String PROPERTY_SHOW_SHAPES

See Also:
  Constant Field Values

### categoryAxisLabelExpression

    protected JRExpression categoryAxisLabelExpression

### categoryAxisLabelFont

    protected JRFont categoryAxisLabelFont

### categoryAxisLabelColor

    protected java.awt.Color categoryAxisLabelColor

### categoryAxisTickLabelFont

    protected JRFont categoryAxisTickLabelFont

### categoryAxisTickLabelColor

    protected java.awt.Color categoryAxisTickLabelColor

### categoryAxisTickLabelMask

    protected java.lang.String categoryAxisTickLabelMask

### categoryAxisVerticalTickLabels

    protected java.lang.Boolean categoryAxisVerticalTickLabels

### categoryAxisLineColor

    protected java.awt.Color categoryAxisLineColor

### valueAxisLabelExpression

    protected JRExpression valueAxisLabelExpression

### rangeAxisMinValueExpression

    protected JRExpression rangeAxisMinValueExpression

### rangeAxisMaxValueExpression

    protected JRExpression rangeAxisMaxValueExpression

### domainAxisMinValueExpression

    protected JRExpression domainAxisMinValueExpression

### domainAxisMaxValueExpression

    protected JRExpression domainAxisMaxValueExpression

### valueAxisLabelFont

    protected JRFont valueAxisLabelFont

### valueAxisLabelColor

    protected java.awt.Color valueAxisLabelColor

### valueAxisTickLabelFont

    protected JRFont valueAxisTickLabelFont

### valueAxisTickLabelColor

    protected java.awt.Color valueAxisTickLabelColor

### valueAxisTickLabelMask

    protected java.lang.String valueAxisTickLabelMask

### valueAxisVerticalTickLabels

    protected java.lang.Boolean valueAxisVerticalTickLabels

### valueAxisLineColor

    protected java.awt.Color valueAxisLineColor

Constructor Detail

### JRBaseLinePlot

    public JRBaseLinePlot(JRChartPlot plot,
                          JRChart chart)

### JRBaseLinePlot

    public JRBaseLinePlot(JRLinePlot linePlot,
                          JRBaseObjectFactory factory)

Method Detail

### getCategoryAxisLabelExpression

    public JRExpression getCategoryAxisLabelExpression()

  Specified by:
    `getCategoryAxisLabelExpression` in interface `JRLinePlot`

### getCategoryAxisLabelFont

    public JRFont getCategoryAxisLabelFont()

  Specified by:
    `getCategoryAxisLabelFont` in interface `JRCategoryAxisFormat`

### getCategoryAxisLabelColor

    public java.awt.Color getCategoryAxisLabelColor()

  Specified by:
    `getCategoryAxisLabelColor` in interface `JRCategoryAxisFormat`

### getOwnCategoryAxisLabelColor

    public java.awt.Color getOwnCategoryAxisLabelColor()

  Specified by:
    `getOwnCategoryAxisLabelColor` in interface `JRCategoryAxisFormat`

### getCategoryAxisTickLabelFont

    public JRFont getCategoryAxisTickLabelFont()

  Specified by:
    `getCategoryAxisTickLabelFont` in interface `JRCategoryAxisFormat`

### getCategoryAxisTickLabelColor

    public java.awt.Color getCategoryAxisTickLabelColor()

  Specified by:
    `getCategoryAxisTickLabelColor` in interface `JRCategoryAxisFormat`

### getOwnCategoryAxisTickLabelColor

    public java.awt.Color getOwnCategoryAxisTickLabelColor()

  Specified by:
    `getOwnCategoryAxisTickLabelColor` in interface `JRCategoryAxisFormat`

### getCategoryAxisTickLabelMask

    public java.lang.String getCategoryAxisTickLabelMask()

  Specified by:
    `getCategoryAxisTickLabelMask` in interface `JRCategoryAxisFormat`

### getCategoryAxisVerticalTickLabels

    public java.lang.Boolean getCategoryAxisVerticalTickLabels()

  Specified by:
    `getCategoryAxisVerticalTickLabels` in interface `JRCategoryAxisFormat`

### getCategoryAxisTickLabelRotation

    public java.lang.Double getCategoryAxisTickLabelRotation()

  Specified by:
    `getCategoryAxisTickLabelRotation` in interface `JRCategoryAxisFormat`

### setCategoryAxisTickLabelRotation

    public void setCategoryAxisTickLabelRotation(java.lang.Double labelRotationDouble)

  Specified by:
    `setCategoryAxisTickLabelRotation` in interface `JRCategoryAxisFormat`

### getCategoryAxisLineColor

    public java.awt.Color getCategoryAxisLineColor()

  Specified by:
    `getCategoryAxisLineColor` in interface `JRCategoryAxisFormat`

### getOwnCategoryAxisLineColor

    public java.awt.Color getOwnCategoryAxisLineColor()

  Specified by:
    `getOwnCategoryAxisLineColor` in interface `JRCategoryAxisFormat`

### getValueAxisLabelExpression

    public JRExpression getValueAxisLabelExpression()

  Specified by:
    `getValueAxisLabelExpression` in interface `JRLinePlot`

### getRangeAxisMinValueExpression

    public JRExpression getRangeAxisMinValueExpression()

  Specified by:
    `getRangeAxisMinValueExpression` in interface `JRLinePlot`

### getRangeAxisMaxValueExpression

    public JRExpression getRangeAxisMaxValueExpression()

  Specified by:
    `getRangeAxisMaxValueExpression` in interface `JRLinePlot`

### getDomainAxisMinValueExpression

    public JRExpression getDomainAxisMinValueExpression()

  Specified by:
    `getDomainAxisMinValueExpression` in interface `JRLinePlot`

### getDomainAxisMaxValueExpression

    public JRExpression getDomainAxisMaxValueExpression()

  Specified by:
    `getDomainAxisMaxValueExpression` in interface `JRLinePlot`

### getValueAxisLabelFont

    public JRFont getValueAxisLabelFont()

  Specified by:
    `getValueAxisLabelFont` in interface `JRValueAxisFormat`

### getValueAxisLabelColor

    public java.awt.Color getValueAxisLabelColor()

  Specified by:
    `getValueAxisLabelColor` in interface `JRValueAxisFormat`

### getOwnValueAxisLabelColor

    public java.awt.Color getOwnValueAxisLabelColor()

  Specified by:
    `getOwnValueAxisLabelColor` in interface `JRValueAxisFormat`

### getValueAxisTickLabelFont

    public JRFont getValueAxisTickLabelFont()

  Specified by:
    `getValueAxisTickLabelFont` in interface `JRValueAxisFormat`

### getValueAxisTickLabelColor

    public java.awt.Color getValueAxisTickLabelColor()

  Specified by:
    `getValueAxisTickLabelColor` in interface `JRValueAxisFormat`

### getOwnValueAxisTickLabelColor

    public java.awt.Color getOwnValueAxisTickLabelColor()

  Specified by:
    `getOwnValueAxisTickLabelColor` in interface `JRValueAxisFormat`

### getValueAxisTickLabelMask

    public java.lang.String getValueAxisTickLabelMask()

  Specified by:
    `getValueAxisTickLabelMask` in interface `JRValueAxisFormat`

### getValueAxisVerticalTickLabels

    public java.lang.Boolean getValueAxisVerticalTickLabels()

  Specified by:
    `getValueAxisVerticalTickLabels` in interface `JRValueAxisFormat`

### getValueAxisLineColor

    public java.awt.Color getValueAxisLineColor()

  Specified by:
    `getValueAxisLineColor` in interface `JRValueAxisFormat`

### getOwnValueAxisLineColor

    public java.awt.Color getOwnValueAxisLineColor()

  Specified by:
    `getOwnValueAxisLineColor` in interface `JRValueAxisFormat`

### isShowShapes

    public boolean isShowShapes()

  Deprecated. Replaced by `getShowShapes()`

  Specified by:
    `isShowShapes` in interface `JRLinePlot`

### getShowShapes

    public java.lang.Boolean getShowShapes()

  Specified by:
    `getShowShapes` in interface `JRLinePlot`

### isShowLines

    public boolean isShowLines()

  Deprecated. Replaced by `getShowLines()`

  Specified by:
    `isShowLines` in interface `JRLinePlot`

### getShowLines

    public java.lang.Boolean getShowLines()

  Specified by:
    `getShowLines` in interface `JRLinePlot`

### setShowShapes

    public void setShowShapes(boolean value)

  Deprecated. Replaced by `setShowShapes(Boolean)`

  Specified by:
    `setShowShapes` in interface `JRLinePlot`

### setShowShapes

    public void setShowShapes(java.lang.Boolean value)

  Specified by:
    `setShowShapes` in interface `JRLinePlot`

### setShowLines

    public void setShowLines(boolean value)

  Deprecated. Replaced by `setShowLines(Boolean)`

  Specified by:
    `setShowLines` in interface `JRLinePlot`

### setShowLines

    public void setShowLines(java.lang.Boolean value)

  Specified by:
    `setShowLines` in interface `JRLinePlot`

### collectExpressions

    public void collectExpressions(JRExpressionCollector collector)

  Specified by:
    `collectExpressions` in interface `JRChartPlot`

### clone

    public java.lang.Object clone(JRChart parentChart)

  Specified by:
    `clone` in interface `JRChartPlot`
  Overrides:
    `clone` in class `JRBaseChartPlot`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com